## volti 0.2.3

=== po/Makefile ===
PYFILES = $(shell find ../src -type f -name "*.py")
GLADEFILES = $(wildcard ../data/*.glade)
POFILES = $(wildcard *.po)

GLADEHFILES := $(GLADEFILES:.glade=.glade.h)

help:
	@echo "USAGE:"
	@echo "make update - updates messages.pot and .po files"
	@echo "make sr.po  - updates sr.po file OR creates new one"
	@echo "              (replace 'sr' with your language code)"

%.h: %
	intltool-extract --type="gettext/glade" $*


messages.pot: $(GLADEHFILES) $(PYFILES)
	xgettext -k_ -kN_ -o messages.pot $(PYFILES) $(GLADEHFILES) --from-code=utf-8

%.po: messages.pot
	@if test -f $@; then \
		echo -n "Updating '$*' language ";\
		msgmerge -U $@ messages.pot;\
	else \
		msginit -l $*.UTF8 -o $@; \
	fi

update: $(POFILES)

clean:
	$(RM) $(GLADEHFILES)

.PHONY:  update

=== debian/changelog ===
volti (0.2.3-7) unstable; urgency=medium

  * QA upload.
  * Don't try to import dbus._version which no longer exists.
    (Closes: #816801)

  * debian/clean:
    - Remove entire build/ directory when cleaning.
  * debian/compat:
    - Switch to debhelper 9.
  * debian/control:
    - Build-depend on dh-python.
    - Bump standards version to 3.9.7 (no changes).
    - Change homepage from Google code to GitHub.
  * debian/copyright:
    - Change source URL to GitHub.
    - Add Milan Nikolic as the main copyright holder.
  * debian/watch:
    - Change source URL to GitHub.

 -- James Cowgill <jcowgill@debian.org>  Fri, 01 Apr 2016 13:40:15 +0100

volti (0.2.3-6) unstable; urgency=medium

  * QA upload.
  * Orphaning this.

 -- Alessio Treglia <alessio@debian.org>  Sat, 20 Feb 2016 21:20:31 +0000

volti (0.2.3-5) unstable; urgency=low

  * Avoid crashes with 'odd' audio configurations (i.e. cards with no
    mixer controls). (Closes: #684363)

 -- Alessio Treglia <alessio@debian.org>  Thu, 30 Aug 2012 15:30:04 +0200

volti (0.2.3-4) unstable; urgency=medium

  * Fix typo in 0001-cards_without_mixer.patch which makes volti almost
    unusable. (Closes: #679922)

 -- Alessio Treglia <alessio@debian.org>  Sun, 22 Jul 2012 13:44:06 +0200

volti (0.2.3-3) unstable; urgency=low

  * Fix crash when the audio card has no mixers. (Closes: #673858)

 -- Alessio Treglia <alessio@debian.org>  Mon, 21 May 2012 21:07:10 +0200

volti (0.2.3-2) unstable; urgency=low

  * Drop dependency on python-glade2, volti already uses GtkBuilder.

 -- Alessio Treglia <alessio@debian.org>  Sat, 19 May 2012 21:41:29 +0200

volti (0.2.3-1) unstable; urgency=low

  * Initial release. (Closes: #670887)

 -- Alessio Treglia <alessio@debian.org>  Mon, 30 Apr 2012 03:23:53 +0200

=== debian/control ===
Source: volti
Section: sound
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 debhelper (>= 9),
 dh-python,
 python-all (>= 2.6.6-3)
X-Python-Version: >= 2.6
Standards-Version: 3.9.7
Homepage: https://github.com/gen2brain/volti

Package: volti
Architecture: all
Depends:
 python-alsaaudio,
 python-dbus,
 python-gobject,
 python-gtk2,
 python-xlib,
 ${misc:Depends},
 ${python:Depends}
Description: control audio volume from system tray/notification area
 Volti is a lightweight GTK+ application for controlling audio
 volume from system tray/notification area.
 .
 Features:
  * no PulseAudio, GStreamer, Phonon etc. only ALSA is needed
  * internal mixer application, either choosing any mixer app
    is possible
  * left click opens volume scale (slider)
  * scroll wheel on tray icon changes volume, increment in
    percents is configurable
  * configurable middle click to toggle 'mute' or 'show mixer'
  * nice tooltip with card and volume info
  * support for multimedia keys
  * support desktop notifications on keys events

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2

override_dh_auto_install:
	dh_auto_install -- \
		--install-lib=/usr/lib/volti

override_dh_install:
	dh_install
	cd debian/volti && \
		mv usr/bin/volti usr/lib/volti/volti.run && \
		mv usr/bin/volti-mixer usr/lib/volti/ && \
		mv usr/bin/volti-remote usr/lib/volti/

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/volti-$1\.tar\.gz/ \
    https://github.com/gen2brain/volti/tags .*/v?(\d\S*)\.tar\.gz
